Release Notes

What's New for Elastic Path Commerce 7.0.1

What's New for Elastic Path Commerce 7.0.1

Release Highlights

Elastic Path Commerce 7.0.1 fixes three critical issues in the Elastic Path Commerce 7.0.0 release.

Bug Fixes

Cortex

  • PB-3018 - A POST to the /events/roleTransition resource failed with an IllegalArgumentException.
  • PB-3064 - The model for exposing ext-core classes and configuration in Cortex did not work for extended Spring bean definitions.

Commerce Manager

  • PB-3063 - Core classes that are not explicitly exported in the ep-core OSGi bundle are not visible in the Commerce Manager and cannot be extended.

System Requirements and Compatibility

The system requirements are documented at System Requirements.

Elastic Path Commerce 7.0.1 is compatible with the following:

Elastic Path Component Version Location Branch or Filename
Elastic Path CloudOps for AWS 2.0.x code.elasticpath.com release/2.0.x
Elastic Path Commerce Demo Package 7.0.1 support.elasticpath.com EP-Commerce-Demo-7.0.1.zip
Elastic Path Commerce for Adobe Marketing Cloud 1.6 support.elasticpath.com EP-Commerce-for-AMC-1.6.0.zip

Upgrade Notes

The Upgrade Guide provides general advice on upgrading Elastic Path projects. Specific upgrade considerations for Elastic Path Commerce 7.0.1 are covered below:

Fixed Cortex extension model

The previous extension model relied on OSGi fragments. The following changes were made to fix issues with extending core classes and configuration in Cortex and remove the need for ext-core to be a fragment.

  • The ext-core bundle was added to the Embed-Dependency section in ext-commerce-engine-wrapper POM.
  • The ext-core blueprint configuration springCtx-import.xml file was renamed to ext-springCtx-import.xml to avoid naming conflicts with ep-core blueprint configuration.
  • The Bundle-Blueprint header in the ext-core manifest was updated to ensure to ensure correct ordering of blueprint files.